Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Class XLSInputTokenizer

    java.lang.Object
      org.joone.io.XLSInputTokenizer

All Implemented Interfaces:
  PatternTokenizer

    public class XLSInputTokenizer

extends java.lang.Object
implements PatternTokenizer

Constructor Summary
`XLSInputTokenizer(HSSFSheet i_sheet)`

Method Summary
`char` | `getDecimalPoint()`
`int` | `getLineno()` Return the current line number.
`int` | `getNumTokens()`
`double` | `getTokenAt(int p0)` Returns the value of the token at 'posiz' column of the current line Creation date: (17/10/2000 0.30.08)
`double[]` | `getTokensArray()` Returns an array of values of the current line Creation date: (17/10/2000 0.13.45)
`void` | `mark()` marks the current position.
`boolean` | `nextLine()` Go to the next line
`void` | `resetInput()` Go to the last marked position.
`void` | `setDecimalPoint(char dp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XLSInputTokenizer

    public XLSInputTokenizer(HSSFSheet i_sheet)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getLineno

    public int getLineno()

  Description copied from interface: `PatternTokenizer`
  Return the current line number.

  Specified by:
    `getLineno` in interface `PatternTokenizer`
  Returns:
    the current line number

### getNumTokens

    public int getNumTokens()
                     throws java.io.IOException

  Specified by:
    `getNumTokens` in interface `PatternTokenizer`
  Throws:
    `java.io.IOException`

### getTokenAt

    public double getTokenAt(int p0)
                      throws java.io.IOException

  Description copied from interface: `PatternTokenizer`
  Returns the value of the token at 'posiz' column of the current line Creation date: (17/10/2000 0.30.08)

  Specified by:
    `getTokenAt` in interface `PatternTokenizer`
  Parameters:
    `p0` - int
  Returns:
    float
  Throws:
    `java.io.IOException`

### getTokensArray

    public double[] getTokensArray()

  Description copied from interface: `PatternTokenizer`
  Returns an array of values of the current line Creation date: (17/10/2000 0.13.45)

  Specified by:
    `getTokensArray` in interface `PatternTokenizer`
  Returns:
    float[]

### mark

    public void mark()
              throws java.io.IOException

  Description copied from interface: `PatternTokenizer`
  marks the current position.

  Specified by:
    `mark` in interface `PatternTokenizer`
  Throws:
    `IOException` - if an I/O Error occurs

### nextLine

    public boolean nextLine()
                     throws java.io.IOException

  Description copied from interface: `PatternTokenizer`
  Go to the next line

  Specified by:
    `nextLine` in interface `PatternTokenizer`
  Returns:
    false if EOF, otherwise true
  Throws:
    `IOException` - if an I/O Error occurs

### resetInput

    public void resetInput()
                    throws java.io.IOException

  Description copied from interface: `PatternTokenizer`
  Go to the last marked position. Begin of input stream if no mark detected.

  Specified by:
    `resetInput` in interface `PatternTokenizer`
  Throws:
    `java.io.IOException`

### setDecimalPoint

    public void setDecimalPoint(char dp)

  Specified by:
    `setDecimalPoint` in interface `PatternTokenizer`

### getDecimalPoint

    public char getDecimalPoint()

  Specified by:
    `getDecimalPoint` in interface `PatternTokenizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net